///////////////////////////////
//  2009-2010 Pulsar Effect //
//    All rights reserved    //
///////////////////////////////
// This material may not be  //
//   reproduced, displayed,  //
//  modified or distributed  //
// without the express prior //
// written permission of the //
//   the copyright holder.   //
///////////////////////////////

// Random
PLAYER 						= 	FindMetaTable("Player");
ENTITY						= 	FindMetaTable("Entity");
VIEW_LOCK					=   999;

// Include shared files.
include("sh_config.lua");
include("sh_player.lua");
include("sh_items.lua");
include("sh_npcs.lua");
include("sh_shops.lua");
include("sh_skills.lua");
include("sh_mixtures.lua");
include("sh_misc.lua");
include("sh_property.lua");
include("sh_vehicles.lua");

for k, v in pairs(file.FindInLua("PERP3/gamemode/sh_modules/*.lua")) do include("sh_modules/" .. v); end

Msg("Loading Items...\n");
for k, v in pairs(file.FindInLua("PERP3/gamemode/items/*.lua")) do include("items/" .. v); end

Msg("Loading Shops...\n");
for k, v in pairs(file.FindInLua("PERP3/gamemode/shops/*.lua")) do include("shops/" .. v); end

Msg("Loading Mixtures...\n");
for k, v in pairs(file.FindInLua("PERP3/gamemode/mixtures/*.lua")) do include("mixtures/" .. v); end

Msg("Loading Vehicles...\n");
for k, v in pairs(file.FindInLua("PERP3/gamemode/vehicles/*.lua")) do include("vehicles/" .. v); end

local function loadPostInt ( )
	Msg("Loading Properties...\n");
	for k, v in pairs(file.FindInLua("PERP3/gamemode/properties/*.lua")) do include("PERP3/gamemode/properties/" .. v); end
	
	Msg("Loading NPCs...\n");
	for k, v in pairs(file.FindInLua("PERP3/gamemode/npcs/*.lua")) do include("PERP3/gamemode/npcs/" .. v);	end
end
hook.Add("InitPostEntity", "loadPostInt", loadPostInt);

