///////////////////////////////
//  2009-2010 Pulsar Effect //
//    All rights reserved    //
///////////////////////////////
// This material may not be  //
//   reproduced, displayed,  //
//  modified or distributed  //
// without the express prior //
// written permission of the //
//   the copyright holder.   //
///////////////////////////////


VEHICLE_DATABASE = {};

// Display order for garage.
VEHICLE_DISPLAY_ORDER = {"a", "b", "c", "d", "e", "f", "g", "h", "i","j", "k", "l" , "m", "n", "o", "p", "q", "r", "s", "t", "A", "B", "C", "D", "E", "F", "G", "Q"};
// Non-VIPS (Dealership)
VEHICLE_DISPLAY_ORDER_NORMAL = {"a", "b", "c", "d", "e", "f", "g", "h", "i","j", "k", "l" , "m", "n", "o", "p", "q", "r", "s", "t"};
// VIPS (Dealership)
VEHICLE_DISPLAY_ORDER_VIP = {"A", "B", "C", "D", "E", "F", "G"};
// GOLD's (Dealership)
VEHICLE_DISPLAY_ORDER_GOLD = {"Q"};

function GM:RegisterVehicle ( VehicleTable )
	if (VEHICLE_DATABASE[VehicleTable.ID]) then
		Error("Conflicting vehicle ID's #" .. VehicleTable.ID);
	end
	
	if (CLIENT && !VehicleTable.RequiredClass) then
		VehicleTable.Texture = surface.GetTextureID('PERP2/vehicles/' .. VehicleTable.Script);
	end
	
	for k, v in pairs(VehicleTable.PaintJobs) do
		util.PrecacheModel(v.model);
	end
	
	VEHICLE_DATABASE[VehicleTable.ID] = VehicleTable;
	Msg("\t-> Loaded " .. VehicleTable.Name .. ", " .. VehicleTable.ID .. "\n");
end

function PLAYER:HasVehicle ( vehicleID )
	local playerTable;
	
	if SERVER then playerTable = self.Vehicles; else playerTable = GAMEMODE.Vehicles; end
	
	if (playerTable[vehicleID]) then return true; else return false; end
end