
local PANEL = {};
local headerImg 		 = surface.GetTextureID( "perp3/vgui/perp3_header.vtf" );
local vertControl		 = -128
local largeHeaderControl = -60
local smallHeaderControl = -60
local urlControl 		 = 47
 
function PANEL:Init ( )
	self:SetMouseInputEnabled( false );
end;

function PANEL:PerformLayout ( )
	self:SetPos(0, 0);
	self:SetSize(ScrW(), ScrH());
end;

function PANEL:Paint ( )
	surface.SetDrawColor( 255, 255, 255, 255);
	surface.SetTexture(headerImg);
	surface.DrawTexturedRect((ScrW()/2)-256, vertControl, 512, 128);
	
	// PERP 3.0 BETA TEXT
	draw.SimpleText("PERP 3.0", "perp3_HeaderFontLarge", ScrW()/2, largeHeaderControl, Color(255, 255, 255, 150), TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER);
	draw.SimpleText("BETA", "perp2_RealtorFontNew", ScrW()/2, smallHeaderControl, Color(255, 255, 255, 60), TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER);
	draw.SimpleText("iNTER uR WEbsite here", "consoletext", ScrW()/2, urlControl, Color(255, 255, 255, 50 * urlAlphaControl), TEXT_ALIGN_CENTER, TEXT_ALIGN_CENTER);	
	
end;

function PANEL:Think()
	if vertControl <= -48 then
		vertControl = vertControl + 1;
	else
		if largeHeaderControl <= 12 then
			largeHeaderControl = largeHeaderControl + 1;
		else
			if smallHeaderControl <= 32 then
				smallHeaderControl = smallHeaderControl + 1;
			else
				startUrlAlpha = true;
			end;
		end;
	end;
	
	if (startUrlAlpha) then
		urlAlphaControl = math.abs(math.sin(CurTime() * 2));
	else
		urlAlphaControl = 0
	end;
		
end;
	
vgui.Register("perp3_headerVGUI", PANEL);